﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Service
{
    using System.Runtime.Serialization;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Score", Namespace="http://schemas.datacontract.org/2004/07/Service")]
    public partial class Score : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string nameField;
        
        private int timeField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string name
        {
            get
            {
                return this.nameField;
            }
            set
            {
                this.nameField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int time
        {
            get
            {
                return this.timeField;
            }
            set
            {
                this.timeField = value;
            }
        }
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(ConfigurationName="IHighscores")]
public interface IHighscores
{
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/GetScores", ReplyAction="http://tempuri.org/IHighscores/GetScoresResponse")]
    Service.Score[] GetScores();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/GetScores", ReplyAction="http://tempuri.org/IHighscores/GetScoresResponse")]
    System.Threading.Tasks.Task<Service.Score[]> GetScoresAsync();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/SaveScore", ReplyAction="http://tempuri.org/IHighscores/SaveScoreResponse")]
    void SaveScore(Service.Score score);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/SaveScore", ReplyAction="http://tempuri.org/IHighscores/SaveScoreResponse")]
    System.Threading.Tasks.Task SaveScoreAsync(Service.Score score);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/ClearScores", ReplyAction="http://tempuri.org/IHighscores/ClearScoresResponse")]
    void ClearScores();
    
    [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IHighscores/ClearScores", ReplyAction="http://tempuri.org/IHighscores/ClearScoresResponse")]
    System.Threading.Tasks.Task ClearScoresAsync();
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public interface IHighscoresChannel : IHighscores, System.ServiceModel.IClientChannel
{
}

[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
public partial class HighscoresClient : System.ServiceModel.ClientBase<IHighscores>, IHighscores
{
    
    public HighscoresClient()
    {
    }
    
    public HighscoresClient(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public HighscoresClient(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public HighscoresClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public HighscoresClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public Service.Score[] GetScores()
    {
        return base.Channel.GetScores();
    }
    
    public System.Threading.Tasks.Task<Service.Score[]> GetScoresAsync()
    {
        return base.Channel.GetScoresAsync();
    }
    
    public void SaveScore(Service.Score score)
    {
        base.Channel.SaveScore(score);
    }
    
    public System.Threading.Tasks.Task SaveScoreAsync(Service.Score score)
    {
        return base.Channel.SaveScoreAsync(score);
    }
    
    public void ClearScores()
    {
        base.Channel.ClearScores();
    }
    
    public System.Threading.Tasks.Task ClearScoresAsync()
    {
        return base.Channel.ClearScoresAsync();
    }
}
